# Delete a Pipeline

DELETE https://api.close.com/api/v1/pipeline/{id}/

Deletion is only allowed if the Pipeline doesn't contain any Opportunity Statuses. Delete all statuses first or move them to another pipeline.

Reference: https://developer.close.com/api/resources/pipelines/delete

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /pipeline/{id}/:
    delete:
      operationId: delete
      summary: Delete a Pipeline
      description: >-
        Deletion is only allowed if the Pipeline doesn't contain any Opportunity
        Statuses. Delete all statuses first or move them to another pipeline.
      tags:
        - subpackage_pipelines
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```